theory_test_utils.h File Reference

Common utilities for testing theories. More...

`#include "cvc4_public.h"`
`#include "util/cvc4_assert.h"`
`#include "expr/node.h"`
`#include "theory/output_channel.h"`
`#include "theory/interrupted.h"`
`#include <vector>`
`#include <utility>`
`#include <iostream>`
Include dependency graph for theory_test_utils.h:

Go to the source code of this file.

## Data Structures

class | CVC4::theory::TestOutputChannel

## Namespaces

namespace | CVC4
namespace | CVC4::theory

## Enumerations

enum | CVC4::theory::OutputChannelCallType { CVC4::theory::CONFLICT , CVC4::theory::PROPAGATE , CVC4::theory::PROPAGATE_AS_DECISION , CVC4::theory::AUG_LEMMA , CVC4::theory::LEMMA , CVC4::theory::EXPLANATION }
| Very basic OutputChannel for testing simple Theory Behaviour. More...

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, theory::OutputChannelCallType type)

## Detailed Description

Common utilities for testing theories.

    ** Original author: Tim King
    ** Major contributors: Morgan Deters
    ** Minor contributors (to current version): Andrew Reynolds, Dejan Jovanovic
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Common utilities for testing theories.

Definition in file theory_test_utils.h.